Delete Custom Consent Categories.
1 min
DELETE
https://api.upstartcommerce.com/v1/customer/consent/categories/{tenant}/{categoryId}
categoryIdstringThe unique identifier of the Consent Category to be updated.
tenantstringTenant identifier associated with the site.
x-upstart-tenantstringTenant identifier associated with the site.
204Custom Consent Category Deleted Successfully. No content is returned.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
403User's roles are insufficient for this endpoint.
404The requested resource was not found in the NoChannel system.
405This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
409This response indicates that the server cannot process the request due to a conflict with the current state of the resource. This typically occurs when a request attempts to create or modify a resource that already exists or conflicts with another resource.
423<p>Consent Management is disabled or locked for the tenant, so consent operations are not allowed.</p>
500There was an internal server error.
curl --request DELETE \
--url https://api.upstartcommerce.com/v1/customer/consent/categories/{tenant}/{categoryId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'